Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.adapters
Interface MetadataAdapter<C,F,M>

All Known Implementing Classes:
  JavassistAdapter

    public interface MetadataAdapter<C,F,M>

Method Summary
`C` | `createClassObject(java.io.InputStream inputStream)`
`java.util.List<java.lang.String>` | `getClassAnnotationNames(C aClass)`
`java.lang.String` | `getClassName(C cls)`
`java.util.List<java.lang.String>` | `getFieldAnnotationNames(F field)`
`java.lang.String` | `getFieldName(F field)`
`java.util.List<F>` | `getFields(C cls)`
`java.util.List<java.lang.String>` | `getInterfacesNames(C cls)`
`java.util.List<java.lang.String>` | `getMethodAnnotationNames(M method)`
`java.lang.String` | `getMethodFullKey(C cls, M method)`
`java.lang.String` | `getMethodKey(C cls, M method)`
`java.lang.String` | `getMethodModifier(M method)`
`java.lang.String` | `getMethodName(M method)`
`java.util.List<M>` | `getMethods(C cls)`
`java.util.List<java.lang.String>` | `getParameterAnnotationNames(M method, int parameterIndex)`
`java.util.List<java.lang.String>` | `getParameterNames(M method)`
`java.lang.String` | `getReturnTypeName(M method)`
`java.lang.String` | `getSuperclassName(C cls)`

Method Detail

### getClassName

    java.lang.String getClassName(C cls)

### getSuperclassName

    java.lang.String getSuperclassName(C cls)

### getInterfacesNames

    java.util.List<java.lang.String> getInterfacesNames(C cls)

### getFields

    java.util.List<F> getFields(C cls)

### getMethods

    java.util.List<M> getMethods(C cls)

### getMethodName

    java.lang.String getMethodName(M method)

### getParameterNames

    java.util.List<java.lang.String> getParameterNames(M method)

### getClassAnnotationNames

    java.util.List<java.lang.String> getClassAnnotationNames(C aClass)

### getFieldAnnotationNames

    java.util.List<java.lang.String> getFieldAnnotationNames(F field)

### getMethodAnnotationNames

    java.util.List<java.lang.String> getMethodAnnotationNames(M method)

### getParameterAnnotationNames

    java.util.List<java.lang.String> getParameterAnnotationNames(M method,
                                                                 int parameterIndex)

### getReturnTypeName

    java.lang.String getReturnTypeName(M method)

### getFieldName

    java.lang.String getFieldName(F field)

### createClassObject

    C createClassObject(java.io.InputStream inputStream)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMethodModifier

    java.lang.String getMethodModifier(M method)

### getMethodKey

    java.lang.String getMethodKey(C cls,
                                  M method)

### getMethodFullKey

    java.lang.String getMethodFullKey(C cls,
                                      M method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.